# invert.hh File Reference

Declarations of invert(). More...

Include dependency graph for invert.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename T >
void | invert (const Element< A, T > &t, Element< A, T > &res)
| Invert a transducer.
template<typename A , typename T >
Element< A, T > & | invert (const Element< A, T > &t)
| Invert a transducer.

## Detailed Description

Declarations of invert().

Compute the automaton performing the inverse rationnal relation.

This algorithm is described in "Weighted automata and transducers in Vaucanson" by Akim Demaille, Sylvain Lombardy and Jacques Sakarovitch, for WOWA 2006.

Author:
  Robert Bigaignon <robert.bigaignon@lrde.epita.fr>

See also:
  invert()

Definition in file invert.hh.